%global enable_tests 0
%global module_name follow

Name:           nodejs-%{module_name}
Version:        1.0.0
Release:        2%{?dist}
Summary:        Extremely robust, fault-tolerant CouchDB changes follower

License:        ASL 2.0
URL:            https://github.com/iriscouch/follow
Source0:        https://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(request)
BuildRequires:  npm(debug)

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(tape)
%endif

%description
Follow (upper-case F) comes from an internal Iris Couch project used in
production for over a year. It works in the browser (beta) and is
available as an NPM module.

%prep
%autosetup -n package
rm -rf node_modules

#remove shebang
sed -i -e '/^#!\//, 1d' browser/export.js

sed -i 's\ || 0.8.x\\g' package.json

%nodejs_fixdep request ~2.x

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js browser lib %{buildroot}%{nodejs_sitelib}/%{module_name}
mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{module_name}/cli.js %{buildroot}%{_bindir}/follow

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
tap test/*.js
%endif

%files
%doc README.md AUTHORS
%license LICENSE
%{_bindir}/follow
%{nodejs_sitelib}/%{module_name}

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 30 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.0.0-1
- Update to 1.0.0 version

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 24 2015 Tom Hughes <tom@compton.nu> - 0.12.1-1
- Update to 0.12.1 upstream release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Dec 28 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.11.4-2
- Initial packaging
- Fix binary file path
- Fix node engine version to 0.10.x

* Tue Dec 09 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.11.4-1
- Initial packaging

